package walletservicelogic

import (
	"context"

	"app-cloudep-trade-service/gen_result/pb/trade"
	"app-cloudep-trade-service/internal/svc"

	"github.com/zeromicro/go-zero/core/logx"
)

type RollbackFreezeLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewRollbackFreezeLogic(ctx context.Context, svcCtx *svc.ServiceContext) *RollbackFreezeLogic {
	return &RollbackFreezeLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

// RollbackFreeze 凍結回滾 - 減少 [凍結餘額]，加回 [可用餘額]，不可指定金額，整筆訂單的凍結金額加回 [可用餘額]
func (l *RollbackFreezeLogic) RollbackFreeze(in *trade.WalletTransactionReq) (*trade.OKResp, error) {
	// todo: add your logic here and delete this line

	return &trade.OKResp{}, nil
}
